worker_processes 1;

events { worker_connections 1024; }

http {

    sendfile on;
    server {
        listen 80;
        server_name {{ parent_domain }};

        location /.well-known/acme-challenge/ {
            root /var/www/certbot;
        }

        location / {
            return 301 https://$host$request_uri;
        }
    }

    server {
        listen 443 ssl;
        server_name {{ parent_domain }};
        rewrite ^/(.*)$ https://cv.{{ parent_domain }}/$1 permanent;

        ssl_certificate /etc/letsencrypt/live/{{ parent_domain }}/fullchain.pem;
        ssl_certificate_key /etc/letsencrypt/live/{{ parent_domain }}/privkey.pem;
        include /etc/letsencrypt/options-ssl-nginx.conf;
        ssl_dhparam /etc/letsencrypt/ssl-dhparams.pem;
    }

{% for item in domains  %}
    server {
        listen 80;
        server_name {{ item.url }};

        location /.well-known/acme-challenge/ {
            root /var/www/certbot;
        }

        location / {
            return 301 https://$host$request_uri;
        }
    }

    server {
        listen 443 ssl;
        server_name {{ item.url }};

        ssl_certificate /etc/letsencrypt/live/{{ parent_domain }}/fullchain.pem;
        ssl_certificate_key /etc/letsencrypt/live/{{ parent_domain }}/privkey.pem;
        include /etc/letsencrypt/options-ssl-nginx.conf;
        ssl_dhparam /etc/letsencrypt/ssl-dhparams.pem;

{% if item["url"] == "store." + parent_domain %}
# set max upload size
        client_max_body_size 512M;
        fastcgi_buffers 64 4K;

        # Enable gzip but do not remove ETag headers
        gzip on;
        gzip_vary on;
        gzip_comp_level 4;
        gzip_min_length 256;
        gzip_proxied expired no-cache no-store private no_last_modified no_etag auth;
        gzip_types application/atom+xml application/javascript application/json application/ld+json application/manifest+json application/rss+xml application/vnd.geo+json application/vnd.ms-fontobject application/x-font-ttf application/x-web-app-manifest+json application/xhtml+xml application/xml font/opentype image/bmp image/svg+xml image/x-icon text/cache-manifest text/css text/plain text/vcard text/vnd.rim.location.xloc text/vtt text/x-component text/x-cross-domain-policy;
{% endif %}
        location / {
            proxy_pass {{ item.proxy_pass }};
            proxy_redirect     off;
            proxy_set_header   Host $host;
        }
    }
{% endfor %}
}